
From: Andreas Gruenbacher <agruen@suse.de>

The xattr feature was only set when creating an xattr block. Also set it
when creating in-inode xattrs.

Signed-off-by: Andreas Gruenbacher <agruen@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/ext3/xattr.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/ext3/xattr.c~ext3-ea-set-the-ext3_feature_compat_ext_attr-for-in-inode-xattrs fs/ext3/xattr.c
--- 25/fs/ext3/xattr.c~ext3-ea-set-the-ext3_feature_compat_ext_attr-for-in-inode-xattrs	2005-01-23 14:46:35.519918704 -0800
+++ 25-akpm/fs/ext3/xattr.c	2005-01-23 14:46:35.524917944 -0800
@@ -823,7 +823,6 @@ getblk_failed:
 			error = ext3_journal_dirty_metadata(handle, new_bh);
 			if (error)
 				goto cleanup;
-			ext3_xattr_update_super_block(handle, sb);
 		}
 	}
 
@@ -1005,6 +1004,7 @@ ext3_xattr_set_handle(handle_t *handle, 
 		}
 	}
 	if (!error) {
+		ext3_xattr_update_super_block(handle, inode->i_sb);
 		inode->i_ctime = CURRENT_TIME_SEC;
 		error = ext3_mark_iloc_dirty(handle, inode, &is.iloc);
 		/*
_
